6.0.0-git
2018-12-16

[#11738] Revamped kolab-webmail bundle for H5
Summary Revamped kolab-webmail bundle for H5
Queue Kolab
Type Enhancement
State Feedback
Priority 2. Medium
Owners
Requester jmozdzen (at) nde (dot) ag
Created 2012-11-21 (2216 days ago)
Due
Updated 2017-03-12 (644 days ago)
Assigned
Resolved
Milestone
Patch No

History
2017-03-12 22:52:10 Michael Rubinsky Comment #25 Reply to this comment
Considering it's ~4 years old, it's not surprising.

2017-03-12 21:40:23 vectro (at) vectro (dot) org Comment #24 Reply to this comment
FWIW this patch does not come close to applying to Horde 5.2.16. ?
2016-01-29 16:57:47 jmozdzen (at) nde (dot) ag Comment #23 Reply to this comment
Hi Jan,
Did anybody recently tried if this patch still applies and works?
my installation currently is a mix of stable, patched and modified 
code... and no, I haven't tried anything above my own changes 
mentioned in this patch. :-(
2016-01-28 15:08:49 Jan Schneider Comment #22 Reply to this comment
Did anybody recently tried if this patch still applies and works?
2013-09-06 12:45:08 Jan Schneider Comment #21 Reply to this comment
Fixing contact lists is on my todo list for Turba 4.2.
2013-09-06 10:32:06 t (dot) nintemann (at) medial-networks (dot) de Comment #20 Reply to this comment

[Show Quoted Text - 45 lines]
Hello Jens,

the Problem with  auto-create Tables was my Problem.
I had to change my Horde Pear Environment to solve the Problem.

I have just Attach a new Patch for Kolab-Webmail Bundle
in my Comment before this.

Now everything works fine for me. ;-)
The only Problem is Bug: #12450

Do  you have the same Problem with Contact List in Turba?

Greetings

Thomas Nintemann













2013-09-06 09:56:29 t (dot) nintemann (at) medial-networks (dot) de Comment #19
New Attachment: kolab_webmail-h5[1].patch Download
Reply to this comment
Hi all,

i have created a new patch for the Kolab-Webmail Bundle.

This Patch reallows use of Ingo with Kolab Backend.
It fixes also Fatal Error while create extra Adressbooks. See Bug #12449

Now everything works almost perfect.
The only Problem is Bug #12450.
I don?t now how to fix this.

Is there a Plan for a first Release of Kolab-Webmail Bundle?

Thomas Nintemann

2013-03-12 14:56:26 jmozdzen (at) nde (dot) ag Comment #18 Reply to this comment

[Show Quoted Text - 27 lines]
Hi Thomas,

I have two distinct installs, one originally done as an upgrade from 
H4 (where I don't recall having had issues with table creation) and 
one done as a fresh install (where I am sure everything worked wrt 
database tables).

So while I'm not 100% sure for the upgraded installation (just 95% ;) 
), the answer is "no (nothing commented out / yes (table auto-creation 
was successful)" for the fresh install.

I've been using my modified H5/kolab-webmail version of 
lib/Bundle.php, where I changed the order of calls - without that, the 
install would fail.

Regards,
Jens
2013-03-12 14:22:39 t (dot) nintemann (at) medial-networks (dot) de Comment #17 Reply to this comment

[Show Quoted Text - 17 lines]
Hi Jens,

did you comment the horde_tables definitions in conf.php for alarms, 
perms and token or was the auto-create of those tables in your setup 
successful?

Regards,

Thomas Nintemann






2013-03-12 14:16:46 Thomas Jarosch Comment #16 Reply to this comment
Note: Kolab with ActiveSync is currently work in progress, it's not
working out of the box right now. I'm on it.
Thomas, what exactely is it that is not working? I'm using this for 
several weeks now, and everything syncs nicely... the only change I 
created is to sync only special folders, as I have an *extensive* 
mailbox structure. But even that works, as I can see each time I 
pear-upgrade my install and forget to apply my patch ;)
The Horde_History backend used by Kolab is in-memory only. Mail sync 
is fine, contacts and calendars are not recommended for larger folders 
as the Horde_History gets rebuilt on every folder since (currently 
once on login).

Even if you hardcode a different Horde_History backend, there are 
other issues with are too much / too complex to list here. Patches 
will follow this month.

2013-03-12 14:09:58 jmozdzen (at) nde (dot) ag Comment #15 Reply to this comment
Next i found, was that when i activate Active Sync in Horde, the
horde.active-sync Table is not created,
It seems that Horde with Kolab enabled did not create missing Tables in SQL.
Is it possible to create DB Tables per hand?
Note: Kolab with ActiveSync is currently work in progress, it's not 
working out of the box right now. I'm on it.
Thomas, what exactely is it that is not working? I'm using this for 
several weeks now, and everything syncs nicely... the only change I 
created is to sync only special folders, as I have an *extensive* 
mailbox structure. But even that works, as I can see each time I 
pear-upgrade my install and forget to apply my patch ;)

Regards,
Jens
2013-03-12 14:03:02 Thomas Jarosch Comment #14 Reply to this comment
Next i found, was that when i activate Active Sync in Horde, the 
horde.active-sync Table is not created,
It seems that Horde with Kolab enabled did not create missing Tables in SQL.
Is it possible to create DB Tables per hand?
Note: Kolab with ActiveSync is currently work in progress, it's not 
working out of the box right now. I'm on it.

2013-03-12 13:56:55 t (dot) nintemann (at) medial-networks (dot) de Comment #13
New Attachment: kolab_webmail-h5.patch Download
Reply to this comment
Hi List,

i was playing around with horde 5 on Kolab and i saw this Bug-entry.
i have made an new Patch that works to me perfectly on Horde-5.0.4.

The only problem was in the conf.php which is created by kolab-webmail.
There  are  some Horde Tables that are not automatically created in SQL.

horde.alarms, horde.perms and horde.token will not created.
If i comment out this Horde DB Definitions in conf.php, everything works fine.

Next i found, was that when i activate Active Sync in Horde, the 
horde.active-sync Table is not created,
It seems that Horde with Kolab enabled did not create missing Tables in SQL.
Is it possible to create DB Tables per hand?

Thanks for the Work....

Greetings

Thomas

[Show Quoted Text - 21 lines]
2013-03-07 12:49:13 jmozdzen (at) nde (dot) ag Comment #12 Reply to this comment
- Why are the $vars->ldap__* setters necessary?
Do you see this as unresolved? I have not received any response to my
comments and concluded from my tests that those values needed to be
set to make it work. Thus I had set them.
AFAIU the Kolab code doesn't use the $conf['ldap'] configuration, or 
is it? If not, setting those here is not necessary.
AFAICT, it's the LDAP code that's using the ldap settings - but the 
Kolab code seems somehow to rely on the LDAP code for some of its 
functionality, i.e. the global address book.
Also, why do you change the default ports for IMAP and SMTP?
Indeed, I should have made that configurable. The upcoming patch will 
contain the according code change.
2013-03-07 12:43:44 jmozdzen (at) nde (dot) ag Comment #11 Reply to this comment
The 'kolab' address book is already defined in 
turba/config/backends.php. You only need to enable it in 
backends.d/20-kolab.php.
Indeed :[ The next patch will contain this.
2013-03-07 12:39:09 jmozdzen (at) nde (dot) ag Comment #10 Reply to this comment

[Show Quoted Text - 11 lines]
This ticket is about code specific to the kolab package, the code in 
question no longer works with the new version, I reported the problem 
and suggested a solution (code removal) - I didn't see the need for a 
separate ticket.

Lacking a response telling me differently, I assume that that the code 
is based on functionality no longer available in the current version 
of Horde. As nobody besides me seems to miss Kolab integration at all, 
removing eye candy shouldn't be a problem at all.
2013-03-07 10:26:27 Jan Schneider Comment #9 Reply to this comment

[Show Quoted Text - 13 lines]
Great.
BTW, what advantage is it in IMP to read the hostname via injector, 
but read the port number from the config? I suggest you or anyone 
more Horde-experienced than me to look this over and create a 
probably more consistent usage of the pre-configured IMAP server.
AFAIU the IMAP server can be configured per user in Kolab's LDAP 
backend, the port can't.
Do you need a modified patch?
Yes, please.
- Why did you remove the mbox_icon and display_folder hooks?
Do you see this as unresolved? I have not received any response to 
my comments and was not able to resolve the issue myself.
I just retested, when activating the mbox_icon hook the folder list 
on the left no longer loads in IMP, but despite DEBUG logging I 
couldn't spot obvious error messages. It's sufficient to have the 
code in hooks.php, even when not activated in imp/conf.d.
You mentioned fatal errors earlier in the ticket, but I didn't see a 
bug report or more detailed information about those anywhere. If they 
don't work, they need fixing, not disabling.
- Why are the $vars->ldap__* setters necessary?
Do you see this as unresolved? I have not received any response to 
my comments and concluded from my tests that those values needed to 
be set to make it work. Thus I had set them.
AFAIU the Kolab code doesn't use the $conf['ldap'] configuration, or 
is it? If not, setting those here is not necessary.
Also, why do you change the default ports for IMAP and SMTP?
Please let me know what you see as open points where I can help.
The 'kolab' address book is already defined in 
turba/config/backends.php. You only need to enable it in 
backends.d/20-kolab.php.
2013-03-01 21:36:59 jmozdzen (at) nde (dot) ag Comment #8 Reply to this comment
There's still a few of my questions unanswered/unresolved.
Thanks for pointing this out - from my point of view I had already 
declared the basar closed ;)
- Why does 
$GLOBALS['injector']->getInstance('Horde_Kolab_Session')->getImapServer() 
not work?
As I wrote, I couldn't tell. I just observed that it does work with an 
explicitly set server and doesn't via the injector statement. But upon 
re-reading this ticket, I noticed that now, due to some other change, 
a re-check is in order - yes, the injector statements currently work.
BTW, what advantage is it in IMP to read the hostname via injector, 
but read the port number from the config? I suggest you or anyone more 
Horde-experienced than me to look this over and create a probably more 
consistent usage of the pre-configured IMAP server.

Do you need a modified patch?
- Why did you remove the mbox_icon and display_folder hooks?
Do you see this as unresolved? I have not received any response to my 
comments and was not able to resolve the issue myself.
I just retested, when activating the mbox_icon hook the folder list on 
the left no longer loads in IMP, but despite DEBUG logging I couldn't 
spot obvious error messages. It's sufficient to have the code in 
hooks.php, even when not activated in imp/conf.d.
- Why are the $vars->ldap__* setters necessary?
Do you see this as unresolved? I have not received any response to my 
comments and concluded from my tests that those values needed to be 
set to make it work. Thus I had set them.

Please let me know what you see as open points where I can help.
2013-03-01 17:08:24 Jan Schneider Comment #7 Reply to this comment
There's still a few of my questions unanswered/unresolved.
2013-01-30 16:05:40 jmozdzen (at) nde (dot) ag Comment #6
New Attachment: 2013-01-30-kolab_webmail.patch Download
Reply to this comment
An open topic to me is the "bundling" definition - I'll try to look 
that up today and provide an updated patch.
I was referring to package.xml. I currently have no way to test this, 
the "status" fields are set to "stable" without knowing if that really 
is the proper value, and hopefully the file list actually reflects 
what's in the package. I've updated the versions of the listed 
required packages to those on my server without knowing if there are 
further required packages - this is far above my head.

The "docs" files could use some shaping up, too. But as probably 
nobody will ever actually look into these, that'd be a waste of time ;)
2013-01-30 14:21:50 jmozdzen (at) nde (dot) ag Comment #5 Reply to this comment
Ping?
oops, sorry, most of this was set "pending" (although already coded) 
due to the other H5 issues we encountered and reported.

An open topic to me is the "bundling" definition - I'll try to look 
that up today and provide an updated patch.
2013-01-30 14:08:45 Jan Schneider Comment #4 Reply to this comment
Ping?
2012-11-28 12:47:01 jmozdzen (at) nde (dot) ag Comment #3 Reply to this comment
bundle/kolab-webmail needed some work-over to cope with H5.

An open issue remains: How do I (in Bundle.php) read in a password
without console echo? It can be done, ConfigDb() does it somehow...
http://dev.horde.org/api/master/lib/Cli/classes/Horde_Cli.html#method_passwordPrompt
Thanks, I'll rework the code to include this.
This patch, together with the one from bug #11737, give me a mostly
usable system with working Kolab integration.
Looks mostly good.
- Why does 
$GLOBALS['injector']->getInstance('Horde_Kolab_Session')->getImapServer() 
not work?
You tell me... when I tested my configuration, access to the IMAP 
server only worked after I (originally hard-coded) the server value in 
that config file. This was way before I started changing real code or 
creating bugs, so it may be different with the current implementation 
(bug #11737).
- Why did you remove the mbox_icon and display_folder hooks?
Because I got fatal PHP errors when the code tries to access
$types = 
$GLOBALS['injector']->getInstance('Horde_Kolab_Storage')->getList()->listFolderTypes();

IIRC it was "listFolderTypes()" that was reported as unknown as a 
member method.
- Use can use $kolabhost as the default value for the $smtphost and 
$ldaphost prompts.
Thanks to the above documentation link I can now implement this.
- Why are the $vars->ldap__* setters necessary?
Those were the values I seem to have to set in consequence of the 
changes in bug #11737. Do you see a different way to handle this? My 
insight into Horde's handling of IMAP server settings is still very 
limited, and I rather suspect that setting "kolab__imap*" is now 
obsolete...
2012-11-28 12:02:24 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
bundle/kolab-webmail needed some work-over to cope with H5.

An open issue remains: How do I (in Bundle.php) read in a password 
without console echo? It can be done, ConfigDb() does it somehow...
http://dev.horde.org/api/master/lib/Cli/classes/Horde_Cli.html#method_passwordPrompt
This patch, together with the one from bug #11737, give me a mostly 
usable system with working Kolab integration.
Looks mostly good.
- Why does 
$GLOBALS['injector']->getInstance('Horde_Kolab_Session')->getImapServer() not 
work?
- Why did you remove the mbox_icon and display_folder hooks?
- Use can use $kolabhost as the default value for the $smtphost and 
$ldaphost prompts.
- Why are the $vars->ldap__* setters necessary?
2012-11-21 14:55:07 jmozdzen (at) nde (dot) ag Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Revamped kolab-webmail bundle for H5
Queue ⇒ Kolab
Milestone ⇒
Patch ⇒ No
New Attachment: 0003-Revamped-the-kolab-webmail-bundle-to-work-with-H5-so.patch Download
Reply to this comment
bundle/kolab-webmail needed some work-over to cope with H5.

An open issue remains: How do I (in Bundle.php) read in a password 
without console echo? It can be done, ConfigDb() does it somehow...

This patch, together with the one from bug #11737, give me a mostly 
usable system with working Kolab integration.

Saved Queries